summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2025-11-16 04:41:50 +0100
committerMichał Górny <mgorny@gentoo.org>2025-11-16 05:13:15 +0100
commit07451c349e1994d439d53981b78d9676a511683f (patch)
tree6def39a73d4b7a6fbf5b8c76190b021f9ebb59d7 /dev-python
parent30ae3ddc2b7c03411d147db6b70c2a24a84d0f41 (diff)
downloadgentoo-07451c349e1994d439d53981b78d9676a511683f.tar.gz
gentoo-07451c349e1994d439d53981b78d9676a511683f.tar.bz2
gentoo-07451c349e1994d439d53981b78d9676a511683f.zip
dev-python/pytest-localftpserver: Bump to 1.4.0
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/pytest-localftpserver/Manifest1
-rw-r--r--dev-python/pytest-localftpserver/pytest-localftpserver-1.4.0.ebuild46
2 files changed, 47 insertions, 0 deletions
diff --git a/dev-python/pytest-localftpserver/Manifest b/dev-python/pytest-localftpserver/Manifest
index 8994f7365573d..bb98830dcd24a 100644
--- a/dev-python/pytest-localftpserver/Manifest
+++ b/dev-python/pytest-localftpserver/Manifest
@@ -1 +1,2 @@
DIST pytest_localftpserver-1.3.2.tar.gz 48883 BLAKE2B a1e78d632a24f1066e8e96dc54875379e471446d77755b5defd0a0b4a2f00e2f3812d82f7be364f3a414432ae023a9c949132d530d3a2f476dec2c0fe8285408 SHA512 d7be031abd616df9e146ab08f2fe406c1dd55b68e97271e945c20938c01deff53b48cbf5c6b46c90c2cb5388f377e078e5e701ddcc2fa4900d29df9f82c92c4e
+DIST pytest_localftpserver-1.4.0.tar.gz 49338 BLAKE2B 4d8174073901523e93b91148b32f66ae4d69216eddbb698aafc818f02a9ed517b1317b10d605576202d22af352437c58f325a2bbe1b428ba35e0179fb22c65f7 SHA512 5e7c2789fd88c4178b2e01f57644d3f9c5740c9455ed838df5f7bb3eea96fb2dba687c7f1f6a28e131331a67c8629dd4be620ac973f74b21eb0f71c6def4a119
diff --git a/dev-python/pytest-localftpserver/pytest-localftpserver-1.4.0.ebuild b/dev-python/pytest-localftpserver/pytest-localftpserver-1.4.0.ebuild
new file mode 100644
index 0000000000000..3f2d4e388b3fb
--- /dev/null
+++ b/dev-python/pytest-localftpserver/pytest-localftpserver-1.4.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A PyTest plugin which provides an FTP fixture for your tests"
+HOMEPAGE="
+ https://github.com/oz123/pytest-localftpserver/
+ https://pypi.org/project/pytest-localftpserver/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/pyftpdlib[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+EPYTEST_IGNORE=(
+ # these are broken upstream
+ tests/test_pytest_localftpserver_TLS.py
+ # TODO
+ tests/test_pytest_localftpserver_with_env_var.py
+)
+
+EPYTEST_PLUGINS=( "${PN}" )
+EPYTEST_PLUGIN_LOAD_VIA_ENV=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # nonsense pin to a vulnerable version
+ sed -i -e '/cryptography/d' pyproject.toml || die
+}